#include <Application.h>
#include <USBKit.h>

#include <stdio.h>


class Watcher : public BUSBRoster {
public:

	~Watcher() {}

	status_t DeviceAdded(BUSBDevice *device) {
		printf("ADD\n");
		//return !B_OK;	// This is no problem
		return B_OK;
	}

	void DeviceRemoved(BUSBDevice *device) {
		printf("REMOVE\n");
		return;
	}

};

class WatcherApp : public BApplication {
public:

	WatcherApp() : BApplication("application/x-vnd.MCR.test.USBwatch") {
	}

	void ReadyToRun() {
		w.Start();
	}

private:

	Watcher w;
};

main() {
	WatcherApp app;
	app.Run();
	return 0;
}
